Package org.linphone.core

# Class AccountCreatorListenerStub

java.lang.Object
org.linphone.core.AccountCreatorListenerStub

All Implemented Interfaces:
  `AccountCreatorListener`

public class AccountCreatorListenerStub extends Object implements AccountCreatorListener

## Constructor Summary

Constructors
Constructor
Description
`AccountCreatorListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onAccountCreationRequestToken(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onAccountCreationTokenUsingRequestToken(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onActivateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onActivateAlias(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onCreateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onIsAccountActivated(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onIsAccountExist(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onIsAccountLinked(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onIsAliasUsed(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onLinkAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onLoginLinphoneAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onRecoverAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onSendToken(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.
`void`
`onUpdateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Callback to notify a response of server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccountCreatorListenerStub

public AccountCreatorListenerStub()

## Method Details

### onCreateAccount

public void onCreateAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onCreateAccount` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onIsAccountExist

public void onIsAccountExist(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onIsAccountExist` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onActivateAccount

public void onActivateAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onActivateAccount` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onSendToken

public void onSendToken(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onSendToken` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onAccountCreationRequestToken

public void onAccountCreationRequestToken(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onAccountCreationRequestToken` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onAccountCreationTokenUsingRequestToken

public void onAccountCreationTokenUsingRequestToken(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onAccountCreationTokenUsingRequestToken` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onIsAccountActivated

public void onIsAccountActivated(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onIsAccountActivated` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onLinkAccount

public void onLinkAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onLinkAccount` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onActivateAlias

public void onActivateAlias(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onActivateAlias` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onIsAliasUsed

public void onIsAliasUsed(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onIsAliasUsed` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onIsAccountLinked

public void onIsAccountLinked(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onIsAccountLinked` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onRecoverAccount

public void onRecoverAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onRecoverAccount` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onUpdateAccount

public void onUpdateAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onUpdateAccount` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onLoginLinphoneAccount

public void onLoginLinphoneAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Callback to notify a response of server.

Specified by:
  `onLoginLinphoneAccount` in interface `AccountCreatorListener`
Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string